View Issue Details

IDProjectCategoryView StatusLast Update
15554Bug reports[All Projects] Pluginspublic2019-11-27 14:29
Reporterf_funke Assigned Tocdorin  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC7 
Target VersionFixed in Version 
Summary15554: core plugins should be pre-installed
Description

Most plugins (e.g., ExportR or ExportSTATAxml) are not pre-installed in the plugin manager and "scan files" has to be used. As this puts additional (and unnecessary) burden on the user, I'd suggest that the core plugins should be directly installed and visible in the plugin manager.

I'd even pre-activate data export for R and for Stata by default.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC7 @ devdemo.limesurvey.org
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Versionn/a

Activities

DenisChenu

DenisChenu

2019-11-19 14:26

developer   ~54680

+1 for ExportR and ExportSTATAxml (all export)
-1 for oldUrlCompat
unsure for Authwebserver and AuthLDAP
unsure for AuditLog : it work good ?
+1 for customToken
+1 for expressionQuestionHelp
+1 for expressionFixedDbVar (?)
unsure for expressionQuestionForAll
+1 for statFunctions (?)

ollehar

ollehar

2019-11-19 14:41

administrator   ~54681

But really, mixing gitignore and git-do-not-ignore in one folder (plugins/) is shit. They should all be in core. Will move.

Mazi

Mazi

2019-11-19 14:42

partner   ~54682

+1 for pre-installing all available plugins so they are always visible.

DenisChenu

DenisChenu

2019-11-19 15:02

developer   ~54685

Last edited: 2019-11-19 15:02

View 2 revisions

But really, mixing gitignore and git-do-not-ignore in one folder (plugins/) is shit.

Right :)

ollehar

ollehar

2019-11-19 15:26

administrator   ~54686

We need documentation for the core plugins. This is not understandable (pic).



Selection_922.png (34,321 bytes)
Selection_922.png (34,321 bytes)
ollehar

ollehar

2019-11-19 15:27

administrator   ~54687

Maybe add a "manual" url?

DenisChenu

DenisChenu

2019-11-19 15:38

developer   ~54688

About manual url : not only manual …
Just a doc url https://manual.limesurvey.org/Plugin_manager#OldUrlCompat

It's not available in config.xml ?

DenisChenu

DenisChenu

2019-11-19 15:38

developer   ~54689

Web page : link to manual ?

ollehar

ollehar

2019-11-19 15:39

administrator   ~54690

There's support URL: https://manual.limesurvey.org/LimeStore_extension_development#config.xml_specification

ollehar

ollehar

2019-11-19 15:41

administrator   ~54691

And license should be a link to full license text. Phew.

DenisChenu

DenisChenu

2019-11-19 15:59

developer   ~54693

You do the link ? If not: i can take 5 minutes to add it.

lime_release_bot

lime_release_bot

2019-11-27 14:29

administrator   ~54821

Fixed in Release 4.0.0-RC9+191125

Issue History

Date Modified Username Field Change
2019-11-11 13:12 f_funke New Issue
2019-11-11 13:49 cdorin Assigned To => cdorin
2019-11-11 13:49 cdorin Status new => assigned
2019-11-19 14:26 DenisChenu Note Added: 54680
2019-11-19 14:41 ollehar Note Added: 54681
2019-11-19 14:42 Mazi Note Added: 54682
2019-11-19 15:02 DenisChenu Note Added: 54685
2019-11-19 15:02 DenisChenu Note Edited: 54685 View Revisions
2019-11-19 15:26 ollehar File Added: Selection_922.png
2019-11-19 15:26 ollehar Note Added: 54686
2019-11-19 15:27 ollehar Note Added: 54687
2019-11-19 15:33 ollehar Status assigned => resolved
2019-11-19 15:33 ollehar Resolution open => fixed
2019-11-19 15:38 DenisChenu Note Added: 54688
2019-11-19 15:38 DenisChenu Note Added: 54689
2019-11-19 15:39 ollehar Note Added: 54690
2019-11-19 15:41 ollehar Note Added: 54691
2019-11-19 15:59 DenisChenu Note Added: 54693
2019-11-27 14:29 lime_release_bot Note Added: 54821
2019-11-27 14:29 lime_release_bot Status resolved => closed